SpeciesGridFields (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.util

## Enum SpeciesGridFields

- java.lang.Object
- - java.lang.Enum<SpeciesGridFields>
  - - org.gcube.portlets.user.speciesdiscovery.client.util.SpeciesGridFields

- All Implemented Interfaces:
    Serializable, Comparable<SpeciesGridFields>, GridField

      public enum SpeciesGridFields
      extends Enum<SpeciesGridFields>
      implements GridField

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHOR`
    `CLASSIFICATION_STRING`
    `COMMON_NAMES`
    `CREDITS`
    `DATAPROVIDER`
    `DATASET`
    `DATASET_CITATION`
    `DATASOURCE`
    `IMAGE`
    `LSID`
    `MATCHING_AUTHOR`
    `MATCHING_CREDITS`
    `MATCHING_NAME`
    `MATCHING_RANK`
    `PRODUCT_IMAGES`
    `PRODUCT_LAYERS`
    `PRODUCT_MAPS`
    `PRODUCT_OCCURRENCES`
    `PRODUCTS`
    `PROPERTIES`
    `PROVENANCE`
    `ROW`
    `SCIENTIFIC_NAME`
    `SELECTION`
    `TAXON`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getName()`
    `boolean` | `isSortable()`
    `static SpeciesGridFields` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SpeciesGridFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATASOURCE

          public static final SpeciesGridFields DATASOURCE

    - #### DATAPROVIDER

          public static final SpeciesGridFields DATAPROVIDER

    - #### SCIENTIFIC_NAME

          public static final SpeciesGridFields SCIENTIFIC_NAME

    - #### DATASET

          public static final SpeciesGridFields DATASET

    - #### DATASET_CITATION

          public static final SpeciesGridFields DATASET_CITATION

    - #### MATCHING_NAME

          public static final SpeciesGridFields MATCHING_NAME

    - #### MATCHING_AUTHOR

          public static final SpeciesGridFields MATCHING_AUTHOR

    - #### MATCHING_RANK

          public static final SpeciesGridFields MATCHING_RANK

    - #### MATCHING_CREDITS

          public static final SpeciesGridFields MATCHING_CREDITS

    - #### PRODUCT_IMAGES

          public static final SpeciesGridFields PRODUCT_IMAGES

    - #### PRODUCT_MAPS

          public static final SpeciesGridFields PRODUCT_MAPS

    - #### PRODUCT_LAYERS

          public static final SpeciesGridFields PRODUCT_LAYERS

    - #### PRODUCT_OCCURRENCES

          public static final SpeciesGridFields PRODUCT_OCCURRENCES

    - #### AUTHOR

          public static final SpeciesGridFields AUTHOR

    - #### CREDITS

          public static final SpeciesGridFields CREDITS

    - #### LSID

          public static final SpeciesGridFields LSID

    - #### PROPERTIES

          public static final SpeciesGridFields PROPERTIES

    - #### CLASSIFICATION_STRING

          public static final SpeciesGridFields CLASSIFICATION_STRING

    - #### COMMON_NAMES

          public static final SpeciesGridFields COMMON_NAMES

    - #### TAXON

          public static final SpeciesGridFields TAXON

    - #### PRODUCTS

          public static final SpeciesGridFields PRODUCTS

    - #### PROVENANCE

          public static final SpeciesGridFields PROVENANCE

    - #### IMAGE

          public static final SpeciesGridFields IMAGE

    - #### SELECTION

          public static final SpeciesGridFields SELECTION

    - #### ROW

          public static final SpeciesGridFields ROW

    - #### UNKNOWN

          public static final SpeciesGridFields UNKNOWN

  - ### Method Detail

    - #### values

          public static SpeciesGridFields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpeciesGridFields c : SpeciesGridFields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpeciesGridFields valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `GridField`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `GridField`

    - #### isSortable

          public boolean isSortable()

      Specified by:
        `isSortable` in interface `GridField`

Copyright © 2013. All Rights Reserved.